Subject: bug#13939: 24.3; Emacs 24.3 release won't compile on Windows with the msvc toolchain

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Mar 2013 22:02:22 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Thu, 14 Mar 2013 20:28:45 +0100
> Cc: 李丁 <[email-masked]>, 13939 <[email-masked]>
> 
> I tried importing this change in editfns.c but it doesn't change anything.
> 
> If I run only temacs.exe without any arguments, I get a very quick
> backtrace:
> 
> C:\>"C:\Source\XEmTeX\emacs\emacs-24.3\src/obj-spd/AMD64/temacs.exe"
> Loading loadup.el (source)...
> Invalid function: "DEAD"
> 
> > temacs.exe!eval_sub(__int64 form) Line 2195 C
>   temacs.exe!readevalloop(__int64 readcharfun, _iobuf * stream, __int64
> sourcename, char printflag, __int64 unibyte, __int64 readfun, __int64
> start, __int64 end) Line 1845 C

Thanks.

李丁, do you also compile Emacs 24.3 as a 64-bit executable?  Or do
you build it as a 32-bit executable?